--
-- by Zippo
--

menu = {};

function menu.prerequisitesPresent(specializations)
    return true;
end;

function menu:load(xmlFile)
		print("Zippo Menu");
		self.menu = {};
    self.menuAn = false;
		local menu = {};
		local objname = "vehicle.menu.extramenu";
    local rotnode = getXMLString(xmlFile, objname .. "#rotNode");
    if rotnode == nil then 
      print("konec");
    else
      menu = {};
      menu.rotNode = Utils.indexToObject(self.components, rotnode);
      
      if(menu.rotNode == nil ) then -- or menu.light == nil
    	  print("Error: Index ("..rotnode..") Error");     	  
      end;
      table.insert(self.menu, menu);
    end;    
    self.menuAnz = table.getn(self.menu);
      
end;

function menu:delete()
end;

function menu:mouseEvent(posX, posY, isDown, isUp, button)
end;

function menu:keyEvent(unicode, sym, modifier, isDown)
end;

function menu:update(dt)
	
    if InputBinding.hasEvent(InputBinding.MENU2) then
    	self.menuAn = not self.menuAn;
      for i=1, self.menuAnz do
        setVisibility(self.menu[i].light, self.menuAn);
      end;
    end;
    if self.menuAn then
      for i=1, self.menuAnz do
        setVisibility(self.menu[i].light, self.menuAn);
      end;
    end;
  end;


function menu:draw()
  if self.menuAnz > 0 and self:getIsActive() then
 		g_currentMission:addHelpButtonText(g_i18n:getText("menu"), InputBinding.MENU2);
		if self.menuAn then
  		renderText(0.75, 0.505, 0.03, "Praga ruka Menu");
	  	renderText(0.75, 0.485, 0.02, "Num Enter -> Motor zap/vyp");
		  renderText(0.75, 0.470, 0.02, "Num 7/4 -> Zdvih/spousteni ramene I");
		  renderText(0.75, 0.455, 0.02, "Num 8/5 -> Zdvih/spousteni ramene II");
		  renderText(0.75, 0.440, 0.02, "Num 9/6 -> Vysuv/zasuv ramene");
--		  renderText(0.8, 0.455, 0.02, "Num 0/2 -> Naklapeni zavesu / haku /");
--		  renderText(0.8, 0.440, 0.02, "M / N -> Otaceni zavesu");
      renderText(0.75, 0.425, 0.02, "Z / X -> Otaceni ramene");
		end;
  end;
end;

